<?php 
namespace App;

use Plugin\Routing\Router;

/**
 * The Framework Application
 * <insert name here> 0.1
 * @author ibrahim
 *
 */
class Application {
	
	public function __construct() {
		$route = Router::getRoute();
		$controller = Controller::initialize($route);
		$response = $controller->render();
		
		$response->sendHeaders();
		
		if ($controller->isHeadRequest()){
			$response->printContentLength();
			exit;
		}else {
			$response->send();
		}
		// and that is all our application
	}
}